QGIS Application - Feature request #7846
print composer should offer a way to change paper background color
2013-05-16 07:20 PM - Mathieu Pellerin - nIRV

Status: Closed
Assignee: Nyall Dawson

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 16727
Description

A lot of work has been applied to QGIS 2.0 to insure color of all print composer items can be modified (for e.g. the grid annotation font
color, legend font color, scale bar {border, fill, font} colors, etc).

This opens the door to rendering composer pages on non-white backgrounds. QGIS however currently doesn't offer a way for user to
change the page background color. An easy workaround is to draw a rectangle over the entire page, but that is not very elegant.

Here's what Larry had to say about this:

<dakcarto> we want QGraphicsScene instead, | think:
http://qt-project.org/doc/qt-4.7/qgraphicsscene.htmi#id-26144b63-12f2-4816-a82e-f00bf70d4f29
<sigg> Title: QGraphicsScene | Documentation | Qt Project (at gt-project.org)

<dakcarto> that's whats already done for the map canvas, when changing the color via prefs

Associated revisions

Revision dOb84e67 - 2013-12-17 12:07 PM - Nyall Dawson

[FEATURE] Allow setting composer page background style (fix #7846)

History

#1 - 2013-05-16 07:40 PM - Mathieu Pellerin - nIRV
- File map-on-black.jpg added

I've attached a map which (hopefully) shows a nice non-white composer page. The background color is set using the above mentioned rectangle hack.

#2 - 2013-05-16 08:25 PM - Mathieu Pellerin - nIRV
- File deleted (map-on-black.jpg)

#3 - 2013-05-16 08:26 PM - Mathieu Pellerin - nIRV
- File map-on-black.jpg added

#4 - 2013-05-16 08:55 PM - Nyall Dawson
- Assignee set to Nyall Dawson
- Category set to Map Composer/Printing

#5 - 2013-12-31 04:11 AM - Nyall Dawson

- Resolution set to fixed/implemented
- Status changed from Open to Closed
http://qt-project.org/doc/qt-4.7/qgraphicsscene.html#id-26144b63-12f2-4816-a82e-f00bf70d4f29

Implemented in master.

#6 - 2013-12-31 05:45 PM - Mathieu Pellerin - nIRV

Wa-hou this is fantastic, bye bye paper-white constraint.

#7 - 2013-12-31 06:05 PM - Nyall Dawson

Try it with a gradient or semitransparent fill... Or, for bonus marks, using a data defined expression on an atlas print! | expect some sweet looking additions
to the flickr group using this ;)

#8 - 2013-12-31 10:15 PM - Mathieu Pellerin - nIRV

As you wish, master: http://www.flickr.com/photos/60284107@N00/11681101764/in/pool-qgis ;)

It's beautifully implemented Nyall, kudos.

Files

map-on-black.jpg 614 KB 2013-05-16 Mathieu Pellerin - nIRV
